Name:          jcifs
Version:       1.3.17
Release:       %mkrel 2
Summary:       Common Internet File System Client in 100% Java
Group:         Development/Java
License:       LGPLv2+
Url:           http://jcifs.samba.org/
Source0:       http://jcifs.samba.org/src/jcifs-1.3.17.tgz
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/%{name}/%{name}/%{version}/%{name}-%{version}.pom 
# fix javac executable
Patch0:        %{name}-%{version}-build.patch
# remove maven-gpg-plugin
Patch1:        %{name}-%{version}-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant

BuildRequires: tomcat-servlet-3.0-api
Requires:      tomcat-servlet-3.0-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.txt docs/*.{html,txt,gif}

#--------------------------------------------------------------------

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

#--------------------------------------------------------------------

%package demo
Summary:       Demo for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%files demo    
%{_datadir}/%{name}/*
%doc LICENSE.txt

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}_%{version}
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
%patch0 -p0
cp -p %{SOURCE1} pom.xml
%patch1 -p0

%build

export CLASSPATH=$(build-classpath tomcat-servlet-3.0-api)
export OPT_JAR_LIST=:
%ant jar javadoc docs

%install

mkdir -p %{buildroot}%{_javadir}
install -p -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.samba.jcifs:jcifs"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -pr examples/*.java  %{buildroot}%{_datadir}/%{name}/examples



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.17-2.mga3
+ Revision: 355241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 dmorgan <dmorgan> 1.3.17-1.mga3
+ Revision: 262201
- New version 1.3.17

* Fri Aug 12 2011 dmorgan <dmorgan> 1.2.24-1.mga2
+ Revision: 132879
- Clean spec file

  + gil <gil>
    - imported package jcifs

